> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.vlenseg.com/llms.txt.
> For full documentation content, see https://docs.vlenseg.com/llms-full.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.vlenseg.com/_mcp/server.

# List user identity image references

GET https://api.vlenseg.com/api/DigitalIdentity/GetUserDigitalIdentityImages

Retrieve file name references for a user's stored verification images (ID front, ID back, liveness). Use the returned file names with `GetStepImage` to download the actual image data.

**Requires admin access token with `Requests` permission.**


Reference: https://docs.vlenseg.com/api-reference/vlens-api/digital-identity/get-user-digital-identity-images

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: example-openapi
  version: 1.0.0
paths:
  /api/DigitalIdentity/GetUserDigitalIdentityImages:
    get:
      operationId: get-user-digital-identity-images
      summary: List user identity image references
      description: >
        Retrieve file name references for a user's stored verification images
        (ID front, ID back, liveness). Use the returned file names with
        `GetStepImage` to download the actual image data.


        **Requires admin access token with `Requests` permission.**
      tags:
        - subpackage_digitalIdentity
      parameters:
        - name: emailOrPhoneNumber
          in: query
          description: The user's email address or phone number.
          required: true
          schema:
            type: string
        - name: ApiKey
          in: header
          description: >-
            Static API key issued to your tenant. Obtain from the Vlens
            dashboard.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Image file references for the user's verification.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiOutputUserDigitalIdentityImages'
servers:
  - url: https://api.vlenseg.com
components:
  schemas:
    UserDigitalIdentityImages:
      type: object
      properties:
        idFrontImage:
          type:
            - string
            - 'null'
        idBackImage:
          type:
            - string
            - 'null'
        livenessImage:
          type:
            - string
            - 'null'
        livenessFace01Image:
          type:
            - string
            - 'null'
        livenessFace02Image:
          type:
            - string
            - 'null'
        livenessFace03Image:
          type:
            - string
            - 'null'
      description: File name references for a user's stored verification images.
      title: UserDigitalIdentityImages
    ApiOutputUserDigitalIdentityImages:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/UserDigitalIdentityImages'
        error_code:
          type:
            - integer
            - 'null'
        error_message:
          type:
            - string
            - 'null'
        error_descriptions:
          oneOf:
            - description: Any type
            - type: 'null'
      title: ApiOutputUserDigitalIdentityImages
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: ApiKey
      description: Static API key issued to your tenant. Obtain from the Vlens dashboard.
    BearerAuth:
      type: http
      scheme: bearer
      description: |
        Short-lived JWT. Obtain via:
        - `/api/credentials/Login` for admin / service tokens
        - `/api/DigitalIdentity/Register` or login for end-user tokens

```

## SDK Code Examples

```python
import requests

url = "https://api.vlenseg.com/api/DigitalIdentity/GetUserDigitalIdentityImages"

querystring = {"emailOrPhoneNumber":"+201234567890"}

payload = {}
headers = {
    "ApiKey": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.vlenseg.com/api/DigitalIdentity/GetUserDigitalIdentityImages?emailOrPhoneNumber=%2B201234567890';
const options = {
  method: 'GET',
  headers: {ApiKey: '<apiKey>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.vlenseg.com/api/DigitalIdentity/GetUserDigitalIdentityImages?emailOrPhoneNumber=%2B201234567890"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("ApiKey", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.vlenseg.com/api/DigitalIdentity/GetUserDigitalIdentityImages?emailOrPhoneNumber=%2B201234567890")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["ApiKey"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.vlenseg.com/api/DigitalIdentity/GetUserDigitalIdentityImages?emailOrPhoneNumber=%2B201234567890")
  .header("ApiKey", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.vlenseg.com/api/DigitalIdentity/GetUserDigitalIdentityImages?emailOrPhoneNumber=%2B201234567890', [
  'body' => '{}',
  'headers' => [
    'ApiKey' => '<apiKey>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.vlenseg.com/api/DigitalIdentity/GetUserDigitalIdentityImages?emailOrPhoneNumber=%2B201234567890");
var request = new RestRequest(Method.GET);
request.AddHeader("ApiKey", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "ApiKey": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.vlenseg.com/api/DigitalIdentity/GetUserDigitalIdentityImages?emailOrPhoneNumber=%2B201234567890")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```